<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('client_case_segment', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\ClientCase::class)->constrained()->onDelete('cascade');
            $table->foreignIdFor(\App\Models\Segment::class)->constrained()->onDelete('cascade');
            $table->boolean('active')->default(true);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('client_case_segment');
    }
};
